#include "defo.h"
#include "MyIntervalFunc.h"
#include "cuteCalc.h"

using namespace std;

extern MyDouble biasCute;

bool testIfDoCute(const MyInterval &r)
// returns true if we decide that it is better do optimisation in computations of x^a/r^b
// <biasCute> a global variable
{
  MyDouble rDiam = diam(r); 
  return (rDiam / r.leftBound() > biasCute);
}

#ifdef PLANAR
#include "cuteCalc2d.cpp"
#endif
#ifdef SPATIAL
#include "cuteCalc3d.cpp"
#endif